/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.calc.objects;

/**
 * Class Description:
 *		This class represents a "border"
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class Border {
    
    /* The list of nodes this border consists of */
    protected NodeList nodeList = null;
    
    /* The id number of this border */
    protected int id = -1;
    
    /**
     * Construct a new border with the given ID number
     * @param id, the id number of the border
     * @param nodeList, the list of nodes this border consists of
     */
    public Border(int id, NodeList nodeList) {
    	this.id = id;
        this.nodeList = nodeList;
    }
    
    /**
     * @return Returns the nodes.
     */
    public NodeList getNodes() {
        return nodeList;
    }
    
    /**
     * @return Returns the id.
     */
    public int getId() {
    	return this.id;
    }
    
    /**
     * Implementation of the toString() method
     * @return a string visualization of the element
     */
    public String toString() {
        String string =  "[Border id=" + this.id + " number_of_nodes=" + this.nodeList.size() + " node_ids=";
        
        for(int i = 1; i <= this.nodeList.size(); i++) {
            string = string + " " + this.nodeList.getNodeInCorrectOrder(i).getId();
        }
        
        return string + "]";
    }
}
