/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.constants;

/**
 * Class Description:
 *		This class holds all constants associated with reading the FEMIN file
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class InputConstants {
    
	/** 
	 * To make sure noone is using this constructor.
	 * Else the compiler would create a public one.
	 * */
	private InputConstants() {}
	
	/* The keywords which can be found in the FEMIN file determining the different parts of the file contents */
	public static final String KEYWORD_FEM = "FEM";
	public static final String KEYWORD_NODES_START_1 = "KOORDINATEN";
	public static final String KEYWORD_NODES_START_2 = "KOORD";
	public static final String KEYWORD_NODES_START = KEYWORD_NODES_START_1;
	public static final String KEYWORD_ELEMENTS_START = "ELEMENTE";
	public static final String KEYWORD_BORDERS_START = "NR";
	public static final String KEYWORD_BORDER = "RAND";
	public static final String KEYWORD_CTAB_START = "CTAB";
	public static final String KEYWORD_CALCULATION_START = "BEDINGUNG";
	public static final String KEYWORD_CALCULATION_END = "RECHNEN";
	public static final String KEYWORD_END = "STOP";
	
	// For "Kreis-Membrane mittels Kreisring- und Kreissektorelementen" FEMIN
	public static final String KEYWORD_MEMBRANE_CIRCLE_CENTER = "ZENTRUM";
	public static final String KEYWORD_MEMBRANE_CIRCLE_RADIUS1 = "RADIUS1";
	public static final String KEYWORD_MEMBRANE_CIRCLE_RADIUS2 = "RADIUS2";
	public static final String KEYWORD_MEMBRANE_CIRCLE_SECTIONS = "SEKTIONEN";
	public static final String KEYWORD_MEMBRANE_CIRCLE_CONDITION = "RANDWERT";
	
	// For "Schraubenschlssel" FEMIN
	public static final String KEYWORD_SPANNER_FORCES_START = "NK";
	public static final String KEYWORD_SPANNER_FORCE = "KRAFT";
	public static final String KEYWORD_SPANNER_MATERIAL_CONSTANT_E = "MATERIALKONSTANTE_E";
	public static final String KEYWORD_SPANNER_MATERIAL_CONSTANT_H = "MATERIALKONSTANTE_H";
	public static final String KEYWORD_SPANNER_MATERIAL_CONSTANT_V = "MATERIALKONSTANTE_V";
	public static final String KEYWORD_SPANNER_MATERIAL_CONSTANT_MAXSPANNUNG = "MATERIALKONSTANTE_MAXSPANNUNG";
}
