/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.test;

import fhm.edu.fem.calc.objects.matrix.MatrixHull;
import fhm.edu.fem.exception.CholeskyFailedException;

/**
 * Class Description:
 *		Test Class - Fourier Calculation	
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class TestFourier {

    public static void main(String[] args) throws CholeskyFailedException {
        
        MatrixHull completeMassMatrix = new MatrixHull("", 4);

        completeMassMatrix.storeLine(1, new double[]{1, 2, 3, 4});
        completeMassMatrix.storeLine(2, new double[]{2, 6, 7, 8});
        completeMassMatrix.storeLine(3, new double[]{3, 7, 9, 10});
        completeMassMatrix.storeLine(4, new double[]{4, 8, 10, 11});
    	
        double sum = 0;
    	for(int i = 1; i <= completeMassMatrix.size(); i++) {
    		
    		for(int j = 1; j <= completeMassMatrix.size(); j++) {
    			
    			sum = sum + Math.pow(completeMassMatrix.getValue(i,j),2);
    		}
    	}
    	
    	sum = Math.sqrt(sum);
    	
    	System.out.println(sum);
    }
}
