/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.test;

import fhm.edu.fem.calc.objects.matrix.MatrixHull;
import fhm.edu.fem.calc.objects.matrix.MatrixHullChain;
import fhm.edu.fem.exception.CholeskyFailedException;

/**
 * Class Description:
 *		Test Class - Hull Matrix
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class TestHullMatrix {

    public static void main(String[] args) throws CholeskyFailedException {
        
        MatrixHull h2 = new MatrixHull("", 8);

	    h2.storeLine(1, new double[]{85, 0, 35, 0, -40, -20, -20, -40});
	    h2.storeLine(2, new double[]{0, 85, 0, -35, 40, 40, 20, 20});
	    h2.storeLine(3, new double[]{35, 0, 85, 0, -20, -40, -40, -20});
	    h2.storeLine(4, new double[]{0, -35, 0, 85, 20, 20, 40, 40});
	    h2.storeLine(5, new double[]{-40, 40, -20, 20, 50, -80, 0, 80});
	    h2.storeLine(6, new double[]{-20, 40, -40, 20, -80, 50, 80, 0});
	    h2.storeLine(7, new double[]{-20, 20, -40, 40, 0, 80, 50, -80});
	    h2.storeLine(8, new double[]{-40, 20, -20, 40, 80, 0, -80, 50});
        
        MatrixHullChain h1 = new MatrixHullChain("", 8);

	    h1.storeLine(1, new double[]{85, 0, 35, 0, -40, -20, -20, -40});
	    h1.storeLine(2, new double[]{0, 85, 0, -35, 40, 40, 20, 20});
	    h1.storeLine(3, new double[]{35, 0, 85, 0, -20, -40, -40, -20});
	    h1.storeLine(4, new double[]{0, -35, 0, 85, 20, 20, 40, 40});
	    h1.storeLine(5, new double[]{-40, 40, -20, 20, 50, -80, 0, 80});
	    h1.storeLine(6, new double[]{-20, 40, -40, 20, -80, 50, 80, 0});
	    h1.storeLine(7, new double[]{-20, 20, -40, 40, 0, 80, 50, -80});
	    h1.storeLine(8, new double[]{-40, 20, -20, 40, 80, 0, -80, 50});
	    
	    
	    MatrixHullChain h1Clone = (MatrixHullChain)(h1.clone());
	    h1Clone.setValue(1, 1, 999);
	    System.out.println(h1);
	    System.out.println(h1Clone);
    }
}
