/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.test;

import javax.swing.JFrame;

import fhm.edu.fem.calc.objects.matrix.MatrixPanel;
import fhm.edu.fem.calc.objects.matrix.MatrixStandard;
import fhm.edu.fem.constants.SMatrixConstants;

/**
 * Class Description:
 *		Test Class - Matrix Panel
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class TestMatrixPanel {
    
    public static void main(String[] args) {
        
        MatrixStandard a = new MatrixStandard("a", 3);
        a.storeLine(1, new double[]{1, 0, 0});
        a.storeLine(2, new double[]{0, 1, 0});
        a.storeLine(3, new double[]{0, 0, 1});

        JFrame frame = new JFrame("TEST");
        MatrixPanel mPanel = new MatrixPanel(SMatrixConstants.getSMatrix(SMatrixConstants.APPROACH_QUADRATIC, SMatrixConstants.FIGURE_QUADRAT, 4));
        
        frame.setSize(300, 300);
        frame.add(mPanel);
        
        frame.setVisible(true);        
    }
}
