/**
 * Munich University of Applied Sciences, FB07 Computer Science
 * DV-Anwendungen in der Technik - Prof.Dr.Gleich - 8.Semester
 * 
 * System: Windows XP, Linux 2.6, Sun Java JDK 5.0
 * Semestergroup: 8T
 */

/**
 * USABILITY:
 *  Copyright (c) 2005 
 *  Thomas Woellert (thomas@woellert.net)
 *  Stefan Weissbach (weissbst@gmx.de)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to
 * deal in the Software without restriction, including without limitation the
 * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
 * sell copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

package fhm.edu.fem.test;

import fhm.edu.fem.calc.objects.Vector;
import fhm.edu.fem.calc.objects.matrix.MatrixHull;

/**
 * Class Description:
 *		Test Class - Vectors
 * 
 * @author Thomas Woellert (thomas@woellert.net)
 * @author Stefan Weissbach (weissbst@gmx.de)
 */
public class TestVector {

    public static void main(String[] args) {
        
        Vector test = new Vector("Test", 3);
        test.setValue(1, 1);
        test.setValue(2, 2);
        test.setValue(3, 3);
        
        MatrixHull h1 = new MatrixHull("", 3);
	    h1.storeLine(1, new double[]{1, 2, 3});
	    h1.storeLine(2, new double[]{2, 4, 5});
	    h1.storeLine(3, new double[]{3, 5, 6});
	    
	    test = test.mult(h1, true);
	    
	    System.out.println(test);
	    
        Vector test2 = new Vector("Test2", 3);
        test2.setValue(1, 4);
        test2.setValue(2, 5);
        test2.setValue(3, 6);
        
        System.out.println(test.mult(test2));
        
		double sum = 0;
		for(int row = 1; row <= h1.size(); row++) {
			for(int col = 1; col <= h1.size(); col++) {
				
				sum += test.getValue(col) * h1.getValue(row, col) * test2.getValue(row);
			}
		}
		
		System.out.println(sum);
    }
}
